/* GFV
 * Copyright (C) 1999 Sam Lotti
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <gnome.h>

void killEntireTree(void);
void buildInitialTree(char * base);
void refreshFileView(void);


void
on_new_file1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
                                        

void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_clear1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_properties1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gfv_show                            (GtkWidget       *widget,
                                        gpointer         user_data);


void
on_filelist_select_row                 (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_testmenu1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_recut1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_filelist_click_column               (GtkCList        *clist,
                                        gint             column,
                                        gpointer         user_data);

gboolean
on_gfv_destroy_event                   (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_tree1_selection_changed             (GtkTree         *tree,
                                        gpointer         user_data);

void
on_tree1_select_child                  (GtkTree         *tree,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

void
on_startDir_changed                    (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_base_directory1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_dlg_startingdirectory_startDir_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_dlg_startingdirectory_okBtn_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_gfv_check_resize                    (GtkContainer    *container,
                                        gpointer         user_data);

void
on_dlg_startingDirectory_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_gfv_delete_event                    (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_gfv_set_focus                       (GtkWindow       *window,
                                        GtkWidget       *widget,
                                        gpointer         user_data);

gboolean
on_dlg_startingdirectory_delete_event  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_settings_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_copy_clicked                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_quit_clicked                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_about_clicked                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_dlg_startingdirectory_show_event    (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_filelist_resize_column              (GtkCList        *clist,
                                        gint             column,
                                        gint             width,
                                        gpointer         user_data);

void
on_preferences_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_filelist_button_press_event         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_tree1_button_press_event            (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_select_all1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find_again1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find_clicked                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_dlgfnd_show                         (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_find_text_changed                   (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_find_ok_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_dlgfnd_delete_event                 (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_find_cancel_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_button_press_location               (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_find2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find_again2_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_txtViewer_button_press_event        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_eventbox1_button_release_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

/* gboolean
on_txtViewer_EB_button_release_event   (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

*/


void
on_copy2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_select_all2_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_txtViewer_button_release_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_GFV_configure_event                 (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

void
on_font1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_btnFind_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnFont_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_fontpicker1_font_set                (GnomeFontPicker *gnomefontpicker,
                                        // GtkString       arg1,
                                        gpointer        arg1,
                                        gpointer         user_data);

void
on_propertybox1_apply                  (GnomePropertyBox *gnomepropertybox,
                                        gint             arg1,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pref_down_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_pref_loc_apply_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_pref_up_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_pref_delete_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_pref_loc_entry_changed              (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_pref_font_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_propertybox1_show                   (GtkWidget       *widget,
                                        gpointer         user_data);



void
on_locList_selection_changed           (GtkList         *list,
                                        gpointer         user_data);

void
on_cb_expandTreeOnLoad_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_all1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_filtered_1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete_file1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_edit_file1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_edit2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_reload1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_editPrg_changed                     (GtkEditable     *editable,
                                        gpointer         user_data);
