/*  - Starting Preference Dialog Box
 * Copyright (C) 1999 Sam Lotti
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef PREF_DLG_H
#define PREF_DLG_H


// Handlers for this window

extern GtkWidget * dlg_pref;
// extern gchar * gbl_font;

void open_preference_window (void);

void _on_propertybox1_apply(GnomePropertyBox *gnomepropertybox,
                                        gint             arg1,
                                        gpointer         user_data);


void _on_pref_down_clicked                   (GtkButton       *button,
                                        gpointer         user_data);


void _on_pref_loc_apply_clicked              (GtkButton       *button,
                                        gpointer         user_data);


void _on_pref_up_clicked                     (GtkButton       *button,
                                        gpointer         user_data);


void _on_pref_delete_clicked                 (GtkButton       *button,
                                        gpointer         user_data);


void _on_pref_loc_entry_changed              (GtkEditable     *editable,
                                        gpointer         user_data);


void _on_pref_font_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void _on_propertybox1_show                   (GtkWidget       *widget,
                                        gpointer         user_data);

void _on_locList_selection_changed           (GtkList         *list,
                                        gpointer         user_data);
                           
                                        
void _on_cb_expandTreeOnLoad_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);




void _on_editPrg_changed                     (GtkEditable     *editable,
                                        gpointer         user_data);



#endif

